package ru.yandex.wmtools.common.error;

/**
 * @author baton
 */
public enum ExtraTagNameEnum implements IExtraTagName {
    PARAM,
    RETURNED,
    VALUE,
    ALT,
    IP,
    KEY,
    USER,
    URL,
    PASSWORD,
    DB_INFO,

    EXPECTED,
    GIVEN;

    private final String name;

    ExtraTagNameEnum(String name) {
        this.name = name;
    }

    ExtraTagNameEnum() {
        this.name = this.toString().toLowerCase();
    }

    @Override
    public String getName() {
        return name;
    }
}
